> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notte.cc/llms.txt
> Use this file to discover all available pages before exploring further.

#  Connect Link Status



## OpenAPI

````yaml https://api.notte.cc/openapi.json get /managed-auth/connect-links/status
openapi: 3.1.0
info:
  title: Notte API
  description: >-
    Notte API is a REST API that allows you to interact with Notte. It is used
    to create cloud browser sessions, scrape webpages, and run web ai agents to
    act on your behalf on the internet.
  version: 1.4.40
  x-logo:
    url: https://www.notte.cc/images/logo/logo-white.png
servers: []
security: []
tags:
  - name: agents
    description: Web AI agents (start, stop, status, replay, etc.)
  - name: sessions
    description: Session management (start, stop, status, etc.)
  - name: debug
    description: Session debugging tools (replay,logs, recording, etc.)
  - name: page
    description: Page operations withing a session (observe, step, scrape, etc.)
  - name: storage
    description: File storage interface (upload, download, list, etc.)
  - name: network
    description: Network requests/responses withing a session (intercept, etc.)
  - name: vaults
    description: >-
      Vault & Credentials management (create/delete vaults, create/delete
      credentials, etc.)
  - name: personas
    description: Persona management (create, delete, list emails, list sms, etc.)
  - name: scrape
    description: >-
      Webpage scraping (scrape, screenshot, etc.) with automatic session
      management.
  - name: health
    description: Health check endpoint.
  - name: usage
    description: Usage logs (usage, logs, etc.)
  - name: functions
    description: Functions management (create, delete, list, etc.)
paths:
  /managed-auth/connect-links/status:
    get:
      tags:
        - managed-auth
      summary: ' Connect Link Status'
      operationId: _connect_link_status
      parameters:
        - name: X-Notte-Connect-Token
          in: header
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 256
            description: The connect token from the link URL.
            title: X-Notte-Connect-Token
          description: The connect token from the link URL.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectLinkStatusResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples: []
components:
  schemas:
    ConnectLinkStatusResponse:
      properties:
        status:
          type: string
          enum:
            - pending
            - submitted
            - completed
            - failed
            - expired
          title: Status
        connection_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Connection Status
        failure_code:
          anyOf:
            - type: string
              enum:
                - invalid_credentials
                - mfa_required
                - mfa_invalid
                - account_locked
                - captcha
                - site_changed
                - transient
                - unknown
            - type: 'null'
          title: Failure Code
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
        attempts_remaining:
          type: integer
          title: Attempts Remaining
        success_redirect_uri:
          anyOf:
            - type: string
            - type: 'null'
          title: Success Redirect Uri
        error_redirect_uri:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Redirect Uri
      type: object
      required:
        - status
        - attempts_remaining
      title: ConnectLinkStatusResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````